@DESCRIPTION
        # Computed expressions may be entered.
      ""AVL478_SPC_Logger_Data""

@FILENAME
        # Computed expressions may be entered.

 "'AVL_SPC_Log' + '.csv'"

@SCAN_INTERVAL
        # time between scans eg. 1[sec] Computed expressions may be entered
   10[sec]

@RELEASE_EVENT
        # Any existing event name may be entered.
   AVL478_log_rels

@START_EVENT
        # Any existing event name may be entered.
   AVL478_log_start

@STOP_EVENT
        # Any existing event name may be entered.
   AVL478_log_stop

@WRITE_HEADER
   None_on_Append

@TIME_FORMAT
 OLD_FORMAT
 
@PACKED
        # Should output be comma separated? (yes,no)
   YES

#list of variables and format strings (up to 64).
#input_variable    format (optional)

@SCAN_LIST
     # ASSET variable label[optional units]  [optional format or statistical member]

PM_num_errs
PM_error1   
PM_error2
PM_error3
PM_SendGair
PM_SendGtot
PM_SendNomSmpRat
PM_ProbeFlow
PM_TotalFlow
PM_DilutionFlow
PM_Probe_Flow
PmFilterDP
PmFilterTemp
PmFilterFaceVel
PmFilterFlow
PmTotalFlow
PmDilutionFlow
PmDilAirT
PM_TunTemp[deg_c]
PM_FilCab_t
MaxExhFlow
PmDilutionRatio
PM_NumFilAvl
PM_CurFilLd
PM_FiltCabCfg
MeasurePm
pns_en
PmInitReq
PM_AFC_Status
PM_AFC_Config
PM_dilution_mode
PM_CustPuckId
FilterNumber
PM_TEST_DESC


$
###############################################################
#
#
#       NOTE:
#          !! Keywords that are marked with !! will accept
#             any valid computed expression
#             See COMPUTED EXPRESSION FORMAT at end of documnent
#
#          ** Keywords that are marked with ** are required
#             All other keywords are optional
#
#
#----------------------------------------------------------------
#
#
#     The valid keywords are:
#
#
# @DESCRIPTION   !! 
#    My_Test           <A title to be written to the output file>
#
# @FILENAME      !! **
#    file_name         <the contents of the ASSET variable 
#                       will be used as the name of file that
#                       will contain the logged data.>
#
# @START_EVENT
#    start_it          <the name of the event that will start
#                       the data acquisition. The event will be
#                       created if it doesn't exist. If not>
#                       specified the sampling will start 
#                       immediately
#
# @STOP_EVENT
#    stop_it           <the name of the event that will stop
#                       the data acquisition. The event will be
#                       created if it doesn't exist>
#
# @RELEASE_EVENT
#    all_done          <the name of the event that will cause
#                       the loger task to exit. The event will be
#                       created if it doesn't exist>
#
# @READ_SPEC_FILE_EVENT
#    readit            <the name of the event that will cause
#                       the loger task to re-read the spec file.
#                       The event will be created if it doesn't 
#                       exists
#
# @SCAN_INTERVAL !! **
#    10[sec]           < the time between data samples.>
#
# @ENABLE        !!
#    loggin_ok         <the ASSET logical variable that is used
#                       to enable/disable logging data.>
#
# @SYNC_EVENT
#   log_it_now         <the name of the event that will cause
#                       data to be logged. The event will be
#                       created if it doesn't exist>
#
# @MAX_SCANS     !!
#    1000              <The maximum number of times to sample
#                       the channels and write their values to 
#                       the output file.>
#
# @SCAN_LIST        **
#   label_1            < the ASSET variable to be logged
#   label_2  %10.4f   < An optional format may be specified>
#   label_2[units]     < Optional units may be specified for 
#                        each label>
#   label_2 .MX        < Statistical member may be specified>
#                        when either @LOG_STATISTICS or 
#                        @RUNNING_AVERAGE keywords are specified> 
#
#                      < The optional format and member may be  
#                        specified in any order.  If units are 
#                        specified they must immediately follow 
#                        the label name and be enclosed in []> 
#
# $                    < the list of labels should be terminated
#                        with a dollar sign>
#
# @OUTPUT_PATH
#    /data/mydata      < the directory path specifies where to
#                        write the output file>
#
# @PACKED
#   Yes                < Should the output file be a packed comma
#                        separated format? The entry 
#                        'yes' is optional. If only the keyword is 
#                        entered, then the output is packed. Entry
#                        is case insensitive>
#
# @OVERWRITE_OUTPUT
#   Yes                < Should an existing output file be over
#                        written on startup? The entry 
#                        'yes' is optional. If only the keyword is 
#                        entered, then the output is overwritten.
#                        Entry is case insensitive>
#
# @FAST_TIMESTAMP
#   Yes                < Should the time stamp in the output file 
#                        be a relative to start time? The entry 
#                        'yes' is optional. If only the keyword is 
#                        entered, then the fast timestamp is
#                        activated. Entry is case insensitive>
#
# @WRITE_HEADER
#    Always Never None_on_Append Enable_Transition_True
#
#                      < Always - will write headers on startup
#                             This is the default
#
#                        Never  - Don't write headers on startup
#
#                        None_on_Append - Don't write headers when
#                             appending to file
#
#                        Enable_Transition_True - Write headers
#                             when the enable variable goes true
#
#                        All entries must be on the same line.
#                        They can be in any order and are case 
#                        insensitive>
#
# @DOS_NFS_DRIVE
#     /nfs/dir/  or
#      Default         < Specifies the NFS DOS mounted drive or
#                        if the word 'Default' is found the
#                        default NFS directory will be used
#                        At CTC this is "//2/imports/world". The
#                        word 'Default' is case insensitive> 
#
# @LOG_STATISTICS
#        Yes           < Should the statistical averages be 
#                        logged?  The entry 'yes' is optional. If 
#                        only the keyword is entered, then 
#                        statistical logging is activated. Entry 
#                        is case insensitive.>
#
# @CLEAR_STATISTICS_EVENT
#    clear_stat        <the name of the event that will be set
#                       to cause the statistical variables to be
#                       initialzed to 0. The event will be
#                       created if it doesn't exist.>
#
# @MAX_STATISTICAL SCANS     !!
#    max_stat_scans    <The maximum number of times to sample
#                       the channels. When the channels have been
#                       sampled this number of times, the 
#                       satistics are computed and written to 
#                       the file.> 
#
# @RUNNING_AVERAGE
#    window_width[units] !!    log_event_name
#                      <window_width = the width of the running
#                       average window. The number of samples 
#                       making up the window is a function of the 
#                       specified interval.
#                       
#                       log_event_name = the name of the event 
#                       that will cause the averages to be 
#                       written to the output file. The .AV
#                       member is written by default.>
# @DONE_EVENT
#    all_done          <the name of the event that will be set
#                       when the data acquisition is complete.
#                       The event will be created if it doesn't
#                       exist>
#
# @REG_NAME
#    PAM_log           <a unique name that is associated with an 
#                       individual instance of the 'floger' task.
#                       Only one copy of 'floger' may be running 
#                       at any time.  This feature will help prevent 
#                       more than one 'floger' from writing into the
#                       same output file.  If the @REG_NAME keyword
#                       is not used, the task will be registered with
#                       the name of the spec file.
#
# @LOGGING_ACTIVE_LABEL
#    PAM_loger         <The label of a LOGICAL variable that can be 
#                       used to indicate that this instance of the
#                       'floger' task is successfully writing data
#                       to disk.
#
# @FTP_HOST
#    hostname          <the name of the remote destination that
#                       receive the a copy of the logged data
#                       file. Default value = ctcxssetdl1.>
#
# @FTP_ACCOUNT
#    account_name      <the account name to be logged into on 
#                       hostname. Default value = datasend.>
#
# @FTP_PASSWORD
#    password          <the password for account 'account_name'
#                       Default value = whatever is the default
#                       value for account datasend.>
#
# @FTP_DIRECTORY
#    remote_dir        <the directory path be appended to the
#                       @FTP_PATH entry. NOTE: This entry is
#                       required to activate FTP transfers.
#                       There is no default>
#
# @FTP_PATH
#    root_dir          <the directory on the remote destination 
#                       that will receive the data file. 
#                       Default value = /group/mech_dev/. This
#                       is prepended to the @FTP_DIRECTORY entry.>
#
# @FTP_EVENT
#    ftp_it            <the name of the event that will be set
#                       to cause the logged data file to be 
#                       ftp'd to '@FTP_HOST'. The event will be
#                       created if it doesn't exist.
#                       Default value = FTP_write.>
#
#----------------------------------------------------------------
#
# COMPUTED EXPRESSION FORMAT
#
#    Computed expressions must be enclosed with double 
#    quotes ("). A literal string must be enclosed with a
#    single quote ('). Strings maybe concatenated by using
#    the plus (+) sign. 
#
# For example: 
#
#     Assume the following computed expression was entered for
#     the test descripton
#
#    "'Engine model = ' + model + ' S/N = ' + serial" 
#
#     Given that the ASSET string variable <model> had a value
#     of <Enforcer 02> and the string variable <serial> had
#     a value <14014957> the test description for the loger file
#     would be equal to 
#
#     Engine model = Enforcer 02 S/N = 14014957
#
#
#
###############################################################
