count=1
tpid=TICO_DF_Test
dt=`date '+%d.%m.%Y_%T'`



while IFS=" " read map run; do

 
   #First we have to read previous report files to get some data
   file=/esvd_data/TICO_DF_Test/$map/1/emtv_rpt.$run
   emsum=/esvd_data/TICO_DF_Test/$map/1/emsum_rpt.$run

   cycle=$(awk '/EM_CYCLE_NAME/{getline; print}' /esvd_data/$tpid/$map/1/logr_data_em10c.$run | cut -d "[" -f1)

   refcycle=$(grep -w "Ref File Name:" $file |awk '{print $4}')
   dur=$(grep -w "Duration of Cycle:" $emsum |awk '{print $16}')
   Ptag=$(grep -w DRYER_P_CO_MEA $file | awk '{print $1}')
   Punits=$(grep -w DRYER_P_CO_MEA $file | awk '{print $2}')
   Pmin=$(grep -w DRYER_P_CO_MEA $file | awk '{print $5}') 

   Ttag=$(grep -w DRYER_T_CO_MEA $file | awk '{print $1}')
   Tunits=$(grep -w DRYER_T_CO_MEA $file | awk '{print $2}')
   Tmax=$(grep -w DRYER_T_CO_MEA $file | awk '{print $6}')

   #The dewpoint to report is going to be the Tmax read + bias. Bias was found by Bill Martin as -2.2 F.
   #You have to do this funny thing since bash floating point.
   Tdew=$(echo "$Tmax + -2.2" | bc)
   Tdewnox=$(echo "7.00 + -1.7" | bc)
   
 
   if [ $run -gt 468 ]
   then
   #Since I don't want to break anything. make a copy of the em_bench file.
   dt=`date '+%d.%m.%Y_%T'`
   cp /esvd_data/TICO_DF_Test/$map/1/em_bench_data_10c.$run /esvd_data/TICO_DF_Test/$map/1/em_bench_data_10c.$run.$dt
   
   #Now we need to delete the @CONT_CHAN_DRYER_PRESS_CH and @CONT_CHAN_DRYER_TEMP_CH keywords and data.
    sed -i '/@CONT_CHAN_DRYER_PRESS_CH/,+3d' /esvd_data/TICO_DF_Test/$map/1/em_bench_data_10c.$run
    sed -i '/@CONT_CHAN_DRYER_TEMP_CH/,+3d' /esvd_data/TICO_DF_Test/$map/1/em_bench_data_10c.$run
    
   #Now use echo to add in the correct keywords and data:
   printf " \n@CONT_CHAN_DRYER_TEMP \n" >> /esvd_data/TICO_DF_Test/$map/1/em_bench_data_10c.$run
   printf "   CVS_CD_CO_MEA    $Tdew $Tunits \n" >> /esvd_data/TICO_DF_Test/$map/1/em_bench_data_10c.$run
   printf "   CVS_CD_CO2_MEA    $Tdew $Tunits \n" >> /esvd_data/TICO_DF_Test/$map/1/em_bench_data_10c.$run
   printf "   CVS_CD_NOX_MEA    $Tdewnox C \n" >> /esvd_data/TICO_DF_Test/$map/1/em_bench_data_10c.$run
   printf " \n@CONT_CHAN_DRYER_PRESS \n" >> /esvd_data/TICO_DF_Test/$map/1/em_bench_data_10c.$run
   printf "   CVS_CD_CO_MEA    $Pmin $Punits \n" >> /esvd_data/TICO_DF_Test/$map/1/em_bench_data_10c.$run
   printf "   CVS_CD_CO2_MEA    $Pmin $Punits \n" >> /esvd_data/TICO_DF_Test/$map/1/em_bench_data_10c.$run
   printf "   CVS_CD_NOX_MEA    3.8 PSI \n" >> /esvd_data/TICO_DF_Test/$map/1/em_bench_data_10c.$run
  #Now use echo to add in the correct keywords and data:
   printf " \n@BACKGND_DRYER_TEMP \n" >> /esvd_data/TICO_DF_Test/$map/1/em_bench_data_10c.$run
   printf "   CVS_CD_CO_MEA    $Tdew $Tunits \n" >> /esvd_data/TICO_DF_Test/$map/1/em_bench_data_10c.$run
   printf "   CVS_CD_CO2_MEA    $Tdew $Tunits \n" >> /esvd_data/TICO_DF_Test/$map/1/em_bench_data_10c.$run
   printf "   CVS_CD_NOX_MEA    $Tdewnox C \n" >> /esvd_data/TICO_DF_Test/$map/1/em_bench_data_10c.$run
   printf " \n@BACKGND_DRYER_PRESS \n" >> /esvd_data/TICO_DF_Test/$map/1/em_bench_data_10c.$run
   printf "   CVS_CD_CO_MEA    $Pmin $Punits \n" >> /esvd_data/TICO_DF_Test/$map/1/em_bench_data_10c.$run
   printf "   CVS_CD_CO2_MEA    $Pmin $Punits \n" >> /esvd_data/TICO_DF_Test/$map/1/em_bench_data_10c.$run
   printf "   CVS_CD_NOX_MEA    3.8 PSI \n" >> /esvd_data/TICO_DF_Test/$map/1/em_bench_data_10c.$run
 
   #Check if chemical balance is there, add if not.
   checkchem=$(grep @CHEMICAL_BALA /esvd_data/TICO_DF_Test/$map/1/em_bench_data_10c.$run)
   if [ $? == 1 ]
   then
    printf "  \n@CHEMICAL_BALANCE_OPTIONS \n     CVS_CONT_OPTIONS \n    NO_NO2_OPTION 4 \n    NO_FRACTION 1.0 MOLE_RATIO \n" >> /esvd_data/TICO_DF_Test/$map/1/em_bench_data_10c.$run
 
   fi
  
  fi

   #Check if  @SPECIES_TAG_TO_KEYWORD_MAPPING  is there, add if not.
   checkchem=$(grep @SPECIES_TAG_TO_KEYWORD_MAPPING /esvd_data/TICO_DF_Test/$map/1/em_bench_data_10c.$run)
   if [ $? == 1 ]
   then
    printf "  \n@SPECIES_TAG_TO_KEYWORD_MAPPING \n    CVS_CD_CO_MEA    CVS_CD_CO_MEA \n    CVS_CD_CO2_MEA    CVS_CD_CO2_MEA \n    CVS_CW_HC_MEA    CVS_CW_HC_MEA \n" >> /esvd_data/TICO_DF_Test/$map/1/em_bench_data_10c.$run
    printf "    CVS_CW_METHANE_MEA    CVS_CW_METHANE_MEA \n    CVS_CD_NOX_MEA    CVS_CD_NOX_MEA \n" >> /esvd_data/TICO_DF_Test/$map/1/em_bench_data_10c.$run
 
   fi




  #Now we can run_star then em_data_analysis
  sleep 1
    # echo "run_star.10c $tpid $map 1 $cycle $run EPA_1065_1"
   run_star.10c $tpid $map 1 $cycle $run EPA_1065_1
   sleep 1
   cvs_esvd.10c $tpid $map 1 $run
   sleep 1
   echo
   echo
   echo
   echo
   echo "Number $count"
   echo
   echo
   echo
   echo
   echo
        let count=$count+1

 






done < /specs/cmds/glm_file_input


